#include <bits/stdc++.h>
using namespace std;
int n,k,p[20005],pos;
int main(){
    cin >> n >> k;
    for(int i=1; i<=n; i++){
    cin >> p[i];
    if(p[i]==k)pos=i;
    }
    if(pos==n)cout << p[1] << endl;
    else cout << p[pos+1] << endl;
    return 0;
}